TERMCAP(1L)

NAME
termcap - a termcap compiler

SYNOPSIS
termcap [ options ]

DESCRIPTION
termcap reads termcap entries and outputs them in standard order and with standard escape sequences. This allows to convert termcap files into a comparable format.

OPTIONS

-help
    Prints a short summary of the termcap(1) options and exists.

-version
    Prints the termcap(1) version number string and exists.

-dooctal
    When printing terminal capabilities, prefer octal output like \003 before escape sequences like ^C.

-dumplist
    Dump the complete internal list of terminal capabilities.

-inorder
    Output all capabilities in the standard order. First the boolean capabilities, then the numeric capabilities and at last the string capabilities. Without -inorder, the obsolete capabilities are printed last.

if=filename
    Read the file filename with many termcap entries and produce compiled output in standard order on stdout.

ENVIRONMENT

HOME
    To find the private files like ~/.termcap

TERM
    The type of terminal for which the output should be formatted.

TERMCAP
    This environment variable holds either a precompiled termcap entry or the pathname to be used to find a termcap database file. If it holds a precompiled entry that does not match the TERM environment, the termcap database is parsed as if the TERMCAP environment is not set.

TERMPATH
    If TERMCAP is empty, then the TERMPATH environment is scanned for pathnames of files that contain a termcap database. It holds a list of filenames separated by colons or spaces (i.e., ":" or " "). If the TERMPATH symbol is not set, the files $HOME/.termcap and /etc/termcap are scanned in that order. If a pathname in TERMPATH does not start with a slash ("/"), then the HOME environment is prepended to the name.

FILES

/etc/termcap
    The system's terminal capabilities database.

~/.termcap
    The private terminal capabilities database.

NOTES

BUGS